var style = "2" //节点id长度 
	var url = "../organization/getorgdept.service";
var oid = "";
var len = "";
var opid = "";
var type = 0;
$(document).ready(function() {
	$("#newid").hide();
	$("#idss").hide();
	$("#id").show();
	$.ajax({
		type : "Post",
		url : url,
		dataType : "json",
		success : function(data) {
			initTree(data.list);
		}
	});
	$("#addNode").click(function() {
		$("#newid").show();
		$("#idss").show();
		$("#id").hide();
		$("#addNode").hide();
		$("#otherId").val("");
		$("#deleteNode").hide();
		var id = $("#id").val();
		if (id != "") {
			var levelNew = Number($("#level").val()) + Number(1);
			var pidNew = $("#id").val()
			var b = pidNew.length;
			var sub = parseInt(len.substr(b))+1;
			if(style=="2"){//节点长度为2位
			    sub= sub>=10?sub:"0"+sub;
			}else{//节点长度为3位
				if(sub<100&&sub>10){
					sub = sub>=100?sub:"0"+sub;
				}
				if(sub<10){
					sub = "00"+sub;
				}
			}
			$("#newid").html(pidNew);
			$("#idss").val(sub)
			$("#id").val(pidNew+sub);
			$("#name").attr("disabled", false);
			$("#name").val("");
			$("#level").val(levelNew);
			$("#pid").val(pidNew);
		} else {
			showModal("请选择一个部门"); //提示框
			return;
		}
	});
	$("#saveNode").click(function() {
	$("#delete").hide();
	var new_id = $("#newid").html()
	var idss = $("#idss").val();
	var id = new_id+idss;
	var pid = $("#pid").val();
	var otherId=$("#otherId").val();
	if (id == "" && pid == "") {
		showModal("请选择一个部门"); //提示框
		return;
	}
	var le=$("#level").val();
	if(le!=1){
		if (idss == "") {
			showModal("请输入id"); //提示框
			return;
		}
		if (idss.length != parseInt(style)) {
			showModal("请输入"+style+"位数字"); //提示框
			return;
		}
	}
	var name = $("#name").val();
	if (name == "") {
		showModal("请输入部门名称"); //提示框
		return;
	}
	if (name.length > 25) {
		showModal("部门名称长度不能超过25位"); //提示框
		return;
	}
	var level = $("#level").val();
	$.ajax({
		type : "Post",
		url : "../organization/save.service",
		data : {
			name : name,
			id : id,
			level : level,
			pid : pid,
			oid : oid,
			otherId:otherId
		},
		dataType : "json",
		success : function(data) {
			if (data.success == 'true') {
				$("#close").click(function() {
					location.reload();
				})
				showModal(data.message); //提示框
			} else {
				showModal(data.message); //提示框
				return;
			}
		}
	})
})

$("#deleteNode").click(function() {
	var id = $("#id").val();
	if (id == "") {
		showModal("请选择一个部门"); //提示框
		return;
	} else if (id == "1") {
		showModal("根节点无法操作");
		return;
	} else {
		$("#delete").show();
		showModal("确定要删除该部门吗？"); //提示框
		return;
	}
})
$("#delete").click(function() {
	var id = $("#id").val();
	$.ajax({
		type : "Post",
		url : "../organization/delete.service",
		data : {
			id : id
		},
		dataType : "json",
		success : function(data) {
			if (data.success == 'true') {
				$("#close").click(function() {
					location.reload();
				})
				$("#delete").hide();
				showModal(data.message); //提示框
			} else {
				$("#delete").hide();
				showModal(data.message); //提示框
				return;
			}
		}
	});

})
});
function initTree(dataTree) {
	$('#using_json').jstree({
		 'core': {
             'data':dataTree
         },
         'search' : {
			/* 'case_insensitive' : true, */
			'show_only_matches' : true
		},
	"plugins" : [ "search"]
	}).on("changed.jstree", function(e, data) {
		$("#pid").val("");
		$("#addNode").show();
	 	$("#deleteNode").show();
		$("#newid").show();
		$("#idss").show();
		$("#id").hide(); 
		$("#name").attr("disabled", false);
		$("#id").attr("disabled", false);
		$("#idss").attr("disabled", false);
		$("#otherId").attr("disabled", false);
		$("#otherId").val(data.node.original.otherId);
		$('#id').val(data.node.original.id);
		$('#name').val(data.node.original.text);
		$('#level').val(data.node.original.level);
		oid = $("#id").val();
		$("#newid").html(data.node.original.pid);
		var su = data.node.original.pid.length;
		var suss = data.node.original.id.substring(su);
		opid = data.node.original.pid;
		$('#idss').val(suss);
		len = data.node.original.childid;//该节点下最大id
		if(data.node.original.level==1){
			$("#newid").hide();
			$("#idss").hide();
			$("#id").show();
			$("#id").attr("disabled", true);
		}
		if(data.node.original.level>=4){
			$('#addNode').hide();
		}else{
			$('#addNode').show();
		}
	}).on('search.jstree', function (nodes, str, res) {
	var marry_nodes = str.res;//获取到匹配的节点					
	var search_text = str.str;//获取搜索关键字
	if(search_text=="orgname_search_name"){
		$('#using_json').jstree(true).show_all();
	}else{
		$('.jstree-leaf').hide();
		 if(marry_nodes.length>0){//模糊匹配到
			for(var i=0;i<marry_nodes.length;i++){
				var node_point = $('#using_json').jstree("get_node", marry_nodes[i]);
				if (node_point.parent != '#') {
					$('#' + marry_nodes[i]).show();
				}
			}
		} 
	}
});
}
function search_tree(){
	var orgname_search_name = $("#orgname_search_name").val()
	if(orgname_search_name==""){
		orgname_search_name="orgname_search_name";
	}
	$('#using_json').jstree(true).search(orgname_search_name)
}